## org.apache.maven.shared.io.scan
Class StaleResourceScanner

    java.lang.Object
      org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner
          org.apache.maven.shared.io.scan.StaleResourceScanner

All Implemented Interfaces:
  ResourceInclusionScanner

    public class StaleResourceScanner

extends AbstractResourceInclusionScanner

Version:
  $Id: StaleResourceScanner.java 595935 2007-11-17 11:39:34Z vsiveton $
Author:
  jdcasey

Constructor Summary
`StaleResourceScanner()`
`StaleResourceScanner(long lastUpdatedWithinMsecs)`
`StaleResourceScanner(long lastUpdatedWithinMsecs, java.util.Set sourceIncludes, java.util.Set sourceExcludes)`

Method Summary
`java.util.Set` `getIncludedSources(java.io.File sourceDir, java.io.File targetDir)`

Methods inherited from class org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner
`addSourceMapping, getSourceMappings, scanForSources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaleResourceScanner

    public StaleResourceScanner()

### StaleResourceScanner

    public StaleResourceScanner(long lastUpdatedWithinMsecs)

### StaleResourceScanner

    public StaleResourceScanner(long lastUpdatedWithinMsecs,
                                java.util.Set sourceIncludes,
                                java.util.Set sourceExcludes)

Method Detail

### getIncludedSources

    public java.util.Set getIncludedSources(java.io.File sourceDir,
                                            java.io.File targetDir)
                                     throws InclusionScanException

  Throws:
    `InclusionScanException`

Copyright © 2011. All Rights Reserved.